<template>
    <div>
        <h2>Count is: {{ state.count }}, double is: {{ double }}</h2>
        <button @click="increment">increment</button>
    </div>
</template>

<script lang="ts">
import { createComponent, reactive, computed } from "@vue/composition-api";
export default createComponent({
    setup() {
        const state = reactive({
            count: 0,
        });
        const double = computed(() => state.count * 2);

        const increment = () => {
            state.count++;
        };

        return {
            state,
            double,
            increment,
        };
    },
});
</script>